<?php

include '../aut_config.inc.php';

// Array que vincula los IDs de los selects declarados en el HTML con el nombre de la tabla donde se encuentra su contenido
$listadoSelects=array(

"cod_rubrox1"=>"cod_rubrox1",
"cod_marcax1"=>"cod_marcax1",
"cod_modelox1"=>"cod_modelox1",
);

function validaSelect($selectDestino)
{
	// Se valida que el select enviado via GET exista
	global $listadoSelects;
	if(isset($listadoSelects[$selectDestino])) return true;
	else return false;
}

function validaOpcion($opcionSeleccionada)
{
	// Se valida que la opcion seleccionada por el usuario en el select tenga un valor numerico
	if(isset($opcionSeleccionada)) return true;
	else return false;
}

$selectDestino=$_GET["selectx"]; $opcionSeleccionada=$_GET["opcion"];

if(validaSelect($selectDestino) && validaOpcion($opcionSeleccionada))
{
	 $tabla=$listadoSelects[$selectDestino];
   //$relacion='cod_producto';
	
  $tabla;
	$consulta=mysql_query("SELECT * FROM  tabla_marca WHERE cod_rubro='$opcionSeleccionada' and eliminar='0' ", $link);
	
	// Comienzo a imprimir el select
	echo "<select  name='cod_marca' id='cod_marca'  class='form-control' onChange='cargarsolicitud(this.id)' >";
	while($registro=mysql_fetch_row($consulta))
	{
		// Convierto los caracteres conflictivos a sus entidades HTML correspondientes para su correcta visualizacion
		$registro[1]=htmlentities($registro[1]);
		// Imprimo las opciones del select
		?>
		<option value='<?php echo $registro[0]; ?>'><?php echo $registro[2]; ?> </option>
	<?php
	}			
	echo "</select>";




}
?>